package main

import (
	"go_backend/cmd/config"
	"go_backend/internal/api"
	"go_backend/internal/dbs"
	"go_backend/internal/utils"
	"strconv"

	"github.com/gin-gonic/gin"
)

func main() {

	config.InitConfig()

	if config.AllConfig.Database == "init" || config.AllConfig.Database == "Init" {
		println("init!!!!!!")
		dbs.GenerateModel()
	}

	r := gin.Default()

	r.Use(utils.Cors())

	api.GetAllCameras(r.Group(""))
	api.CreateNode(r.Group(""))
	api.ModifyNode(r.Group(""))
	api.CreateDetectionRecord(r.Group(""))
	api.GetDetectionRecord(r.Group(""))
	api.GetTrajectoryRecordList(r.Group(""))
	api.GetTargetTrajectory(r.Group(""))
	api.GetSingleDetectionRecord(r.Group(""))
	api.GetAllCamerasIncludeFolder(r.Group(""))

	r.Static("/images", config.AllConfig.PicturePath)
	//c := cron.New()
	//c.AddFunc("@every 1m", scheduledtask.MergeTrajectory)
	//c.Start()

	// _ = r.Run(":" + strconv.Itoa(config.AllConfig.Port))
	_ = r.Run(":" + strconv.Itoa(8080))
}
